pydo.apps.list_alerts()

Generated on 9 Jun 2026 from pydo version v0.36.0

Usage

client.apps.list_alerts(app_id="4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf")
Returns JSONRaises HttpResponseError

Description

List alerts associated to the app and any components. This includes configuration information about the alerts including emails, slack webhooks, and triggering events or conditions.

Parameters

app_id string required

The app ID

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

get_resp = client.apps.list_alerts(app_id="4f6c71e2")

Response Example

Show Response Example
{
  "alerts": [
    {
      "id": "e552e1f9-c1b0-4e6d-8777-ad6f27767306",
      "spec": {
        "rule": "DEPLOYMENT_FAILED"
      },
      "emails": [
        "[email protected]"
      ],
      "phase": "ACTIVE",
      "progress": {
        "steps": [
          {
            "name": "alert-configure-insight-alert",
            "status": "SUCCESS",
            "started_at": "2020-07-28T18:00:00Z",
            "ended_at": "2020-07-28T18:00:00Z"
          }
        ]
      }
    },
    {
      "id": "b58cc9d4-0702-4ffd-ab45-4c2a8d979527",
      "spec": {
        "rule": "CPU_UTILIZATION",
        "operator": "GREATER_THAN",
        "value": 85,
        "window": "FIVE_MINUTES"
      },
      "emails": [
        "[email protected]"
      ],
      "phase": "ACTIVE",
      "progress": {
        "steps": [
          {
            "name": "alert-configure-insight-alert",
            "status": "SUCCESS",
            "started_at": "2020-07-28T18:00:00Z",
            "ended_at": "2020-07-28T18:00:00Z"
          }
        ]
      }
    }
  ]
}

More Information

See /v2/apps/{app_id}/alerts in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.